VMTKNETWORKEXTRACTION(1)

NAME
vmtknetworkextraction - vmtk script vmtknetworkextraction

DESCRIPTION
Automatic piping vmtknetworkextraction Parsing options vmtknetworkextraction

vmtknetworkextraction : extract a network of approximated centerlines

    from a surface, the surface must have at least an opening

    Input arguments:

-id Id (str,1); default=0: script id

-handle Self (self,1): handle to self

-disabled Disabled (bool,1); default=0: disable execution and

    piping

-i Surface (vtkPolyData,1): the input surface

-ifile SurfaceInputFileName (str,1): filename for the default

    Surface reader

-advancementratio AdvancementRatio (float,1) >= 1.0; default=1.05:

    the ratio between the sphere step and the local maximum radius

-radiusarray RadiusArrayName (str,1); default=Radius

-topologyarray TopologyArrayName (str,1); default=Topology

-marksarray MarksArrayName (str,1); default=Marks

-ofile NetworkOutputFileName (str,1): filename for the default

    Network writer

-ographfile GraphLayoutOutputFileName (str,1): filename for the

    default GraphLayout writer

    Output arguments:

-id Id (str,1); default=0: script id

-handle Self (self,1): handle to self

-o Network (vtkPolyData,1): the output network

-ograph GraphLayout (vtkPolyData,1): the output graph layout